SLCAN_ATTACH(1)

NAME
slcan_attach - manual page for slcan_attach 2023.03-1

SYNOPSIS
slcan_attach [options] tty

DESCRIPTION
./slcan_attach - userspace tool for serial line CAN interface driver SLCAN.

OPTIONS

-o  (send open command 'O\r')

-l  (send listen only command 'L\r', overrides -o)

-c  (send close command 'C\r')

-f  (read status flags with 'F\r' to reset error states)

-s <speed>
    (set CAN speed 0..8)

-b <btr>
    (set bit time register value)

-d  (only detach line discipline)

-w  (attach - wait for keypress - detach)

-n <name>
    (assign created netdevice name)

<speed>
    Bitrate

0   10 Kbit/s

1   20 Kbit/s

2   50 Kbit/s

3   100 Kbit/s

4   125 Kbit/s

5   250 Kbit/s

6   500 Kbit/s

7   800 Kbit/s

8   1000 Kbit/s

EXAMPLES
slcan_attach -w -o -f -s6 -c /dev/ttyS1

slcan_attach /dev/ttyS1

slcan_attach -d /dev/ttyS1

slcan_attach -w -n can15 /dev/ttyS1